Bug 225186 - Registration of allstubs.zip from indexer causes non needed scan
Registration of allstubs.zip from indexer causes non needed scan
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
7.3
PC Mac OS X
: P1 (vote)
: 7.3
Assigned To: Tomas Zezula
issues@javascript
: 73_HR_FIX
Depends on:
Blocks: 223776
  Show dependency treegraph
 
Reported: 2013-01-22 14:23 UTC by Tomas Zezula
Modified: 2013-01-25 11:23 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2013-01-22 14:23:19 UTC
Registration of allstubs.zip from indexer causes non needed scan.
The running indexer which registers the allstubs.zip is cancelled and the root is reindexed. If the registration goes at the end of root scan the root is in fact scanned twice.
Comment 1 Tomas Zezula 2013-01-22 14:30:05 UTC
Fixed jet-main 1e5fc6e17da2
Comment 2 Martin Fousek 2013-01-22 15:54:41 UTC
(In reply to comment #1)
> Fixed jet-main 1e5fc6e17da2

Fix looks well to me. Thanks for fixing.
Comment 3 Quality Engineering 2013-01-23 02:49:43 UTC
Integrated into 'main-golden', will be available in build *201301230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1e5fc6e17da2
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225186:Registration of allstubs.zip from indexer causes non needed scan
Comment 4 Vladimir Riha 2013-01-23 16:25:50 UTC
OK, please continue with HR integration
Comment 5 Tomas Zezula 2013-01-23 18:24:12 UTC
Transplanted into NB 7.3 71c0ff6195da
Comment 6 Quality Engineering 2013-01-24 00:54:47 UTC
Integrated into 'releases', will be available in build *201301232200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/71c0ff6195da
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225186:Registration of allstubs.zip from indexer causes non needed scan
Comment 7 Vladimir Riha 2013-01-25 11:23:48 UTC
v.

Product Version: NetBeans IDE 7.3 RC1 (Build 201301240957)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo